#include "grbc/generator.h"
#include "grbc/spec.h"
#include "grbc/state.h"

void grbc_task(const TaskConfig &config) {
    GeneratorTask task{};
    task.description = "Running task: " + config.name + " (" + config.task_id + ")";
    task.id = config.task_id;
    task.shell_script = config.shell_script;

    GState::get().tasks.push_back(task);
}